LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XOpenCLSelection Interface Reference

`import"XOpenCLSelection.idl";`

Inheritance diagram for XOpenCLSelection:

## Public Member Functions
boolean | isOpenCLEnabled ()
| Returns true if calculation with OpenCL is enabled (at all). More...
void | enableOpenCL ([in] boolean enable)
| Enables or disables use of OpenCL for calculations. More...
void | enableAutomaticDeviceSelection ([in] boolean force)
| Enables automatic OpenCL Device Selection. More...
void | disableAutomaticDeviceSelection ()
| Disables automatic OpenCL Device Selection. More...
void | selectOpenCLDevice ([in] long platform, [in] long device)
| Select the OpenCL device with the given platform and device number. More...
long | getPlatformID ()
| returns the index of the platform of the currently selected device. More...
long | getDeviceID ()
| returns the index of the currently selected device. More...
sequence< OpenCLPlatform > | getOpenCLPlatforms ()
| lists all OpenCL devices and platforms More...
void | enableOpcodeSubsetTest ()
void | disableOpcodeSubsetTest ()
boolean | isOpcodeSubsetTested ()
void | setFormulaCellNumberLimit ([in] long number)
long | getFormulaCellNumberLimit ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ disableAutomaticDeviceSelection()

void disableAutomaticDeviceSelection | ( |  | ) |

Disables automatic OpenCL Device Selection.

## ◆ disableOpcodeSubsetTest()

void disableOpcodeSubsetTest | ( |  | ) |

## ◆ enableAutomaticDeviceSelection()

void enableAutomaticDeviceSelection | ( | [in] boolean | force | ) |

Enables automatic OpenCL Device Selection.

Parameters

  force | forces a new evaluation of the best device

## ◆ enableOpcodeSubsetTest()

void enableOpcodeSubsetTest | ( |  | ) |

## ◆ enableOpenCL()

void enableOpenCL | ( | [in] boolean | enable | ) |

Enables or disables use of OpenCL for calculations.

When using this API to enable OpenCL the configuration parameters are set to their built-in default values, not ones read from the installation of user-specific configuration.

## ◆ getDeviceID()

long getDeviceID | ( |  | ) |

returns the index of the currently selected device.

This is an index into the sequence of devices in the OpenCLPLatform object the device is part of in the current instance of LibreOffice (and not some a priori defined identifier for a specific model of device accessed through a specific platform).

## ◆ getFormulaCellNumberLimit()

long getFormulaCellNumberLimit | ( |  | ) |

## ◆ getOpenCLPlatforms()

sequence< OpenCLPlatform > getOpenCLPlatforms | ( |  | ) |

lists all OpenCL devices and platforms

## ◆ getPlatformID()

long getPlatformID | ( |  | ) |

returns the index of the platform of the currently selected device.

This is an index into the sequence that getOpenCLPlatforms returns in the current instance of LibreOffice (and not some a priori defined identifier for an OpenCL platform).

## ◆ isOpcodeSubsetTested()

boolean isOpcodeSubsetTested | ( |  | ) |

## ◆ isOpenCLEnabled()

boolean isOpenCLEnabled | ( |  | ) |

Returns true if calculation with OpenCL is enabled (at all).

The actual use of OpenCL for a formula is also affected by the configuration settings specifying whether OpenCL is used for all opcodes or just for a subset, and the deny- and allowlists of OpenCL implementations that are in use.

## ◆ selectOpenCLDevice()

void selectOpenCLDevice | ( | [in] long | platform,
|  | [in] long | device
| ) |  |

Select the OpenCL device with the given platform and device number.

The platform number corresponds to an index into the sequence returned by getOpenCLPlatforms, and the device number corresponds to an index into the sequence of devices in that platform.

## ◆ setFormulaCellNumberLimit()

void setFormulaCellNumberLimit | ( | [in] long | number | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/opencl/XOpenCLSelection.idl